Bug 166836 - Autotools update: autoconf-2.69/automake-1.12
Autotools update: autoconf-2.69/automake-1.12
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: ade
Depends on:
  Show dependency treegraph
Reported: 2012-04-11 09:30 UTC by ade
Modified: 2012-05-11 21:38 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description ade freebsd_committer 2012-04-11 09:30:12 UTC
	Update automake to 1.11.5 (from 1.11.1)
	Offering it up for an -exp run, though I've had this, and
	the previous 1.11.3 in my own tree, compiling stuff successfully
	for quite some time.


How-To-Repeat: 	N/A
Comment 1 Edwin Groothuis freebsd_committer 2012-04-11 09:30:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->autotools

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 ade freebsd_committer 2012-04-11 18:17:02 UTC
Responsible Changed
From-To: autotools->portmgr

Randomly waving in front of portmgr@ for a possible -exp run.  Up to you 
guys if you want to run it, particularly right now, after a freeze, with 
the tree most likely in a high state of flux.
Comment 3 pav freebsd_committer 2012-04-15 10:14:11 UTC
Responsible Changed
From-To: portmgr->pav

Take for exp-run.
Comment 4 ade freebsd_committer 2012-04-18 03:51:44 UTC
Updated patch now for automake 1.11.5 and fixes for all known issues can 
be found at:


Note that java/eclipse currently fails to compile, however this is 
nothing to do with automake.

Comment 5 pav freebsd_committer 2012-04-23 22:29:18 UTC
Responsible Changed
From-To: pav->ade

Fresh failures forwarded in private mail; exp completed.
Comment 6 ade freebsd_committer 2012-04-24 19:17:02 UTC
Responsible Changed
From-To: ade->portmgr

Hopefully last set of failures, all kde3-silliness, now fixed. 
Updated patch at: 

SHA256= 40d2c8954c99f3e51dd5b8fa89bed82e9bf7e1b89dfd60ff9baa33e86e9da3a5 

Back to you folks to see if you want to do another -exp run
Comment 7 ade freebsd_committer 2012-04-26 19:34:55 UTC
Responsible Changed
From-To: portmgr->ade

Take this back.  Both autoconf-2.69 and automake-1.12 have been released 
so this is going to require a bunch more work.
Comment 8 ade freebsd_committer 2012-04-27 03:06:27 UTC
Responsible Changed
From-To: ade->portmgr

Updated patch for autoconf-2.69 and automake-1.12 

SHA256= 29ab5b6192d9fed8ad5b1e1fdba152c4119258945d368f237d07bf2d291a61c2 

-exp run required
Comment 9 ade freebsd_committer 2012-04-27 19:44:35 UTC
Forgot to update devel/autotools - sigh

SHA256= d06ffd98222d2d266f9d272d4fb86835b3ecc83e1ea1a8780ad1dc895b49b3a8

Comment 10 pav freebsd_committer 2012-04-30 22:25:33 UTC
Responsible Changed
From-To: portmgr->pav

Take for exp-run
Comment 11 pav freebsd_committer 2012-05-02 23:21:28 UTC
Responsible Changed
From-To: pav->ade

Fail neatly packaged and shipped to OP
Comment 12 ade freebsd_committer 2012-05-04 04:40:20 UTC
Responsible Changed
From-To: ade->portmgr

Fixed all currently-known issues. 

SHA256= c8fc621a3538962e6b359ef25beb9b7aa7a3c942ab34aa9456b7b6ac986f7e9a 

Ya'lls call on whether to do another -exp or go for it as-is.
Comment 13 pav freebsd_committer 2012-05-04 09:20:38 UTC
Responsible Changed
From-To: portmgr->pav

Take for one more pass
Comment 14 pav freebsd_committer 2012-05-11 20:05:09 UTC
Responsible Changed
From-To: pav->ade

Tested OK.
Comment 15 ade freebsd_committer 2012-05-11 21:38:28 UTC
State Changed
From-To: open->closed

Committed after multiple -exp runs.  Thanks pav@